Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 79117

Summary: errors in quotacheck man page
Product: [Retired] Red Hat Linux Reporter: Chris Ricker <chris.ricker>
Component: quotaAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Brock Organ <borgan>
Severity: low Docs Contact:
Priority: medium    
Version: 8.0CC: chris, johan, rhbugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-09 15:48:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Chris Ricker 2002-12-05 22:51:28 UTC
The quotacheck.8 man page states:

quotacheck  expects  each filesystem  to  be  checked to have quota files named
[a]quota.user and [a]quota.group located at the root of the associated
filesystem.  If  a file is not present, quotacheck will create it.

This is incorrect. To create the new quotafiles, you have to use the -c option
with quotacheck:

quotacheck -c /home

for example

The documentation of the -c option in the man page states that

       -c     Don't  read  existing  quota  files. Just perform a new scan and
              save it to disk.  quotacheck also skips scanning  of  old  quota
              files when they are not found.

Some place in that man page, it really needs to point out that creation of quota
files is done by quotacheck -c

Comment 1 Johan Leckstrom 2002-12-13 23:41:39 UTC
The Redhat manual should also be changed.
"Red Hat Linux 8.0: The Official Red Hat Linux System Administration Primer"

Comment 2 Chris Negus 2003-01-17 10:02:30 UTC
checkquota -c seems to only create the aquota.user file and not the aquota.group
file. If you run "quotacheck -vg /home" to scan the partition, you get the error
message "quotacheck: Cannot get quotafile name for /dev/hd??"." It works just to
touch an aquota.group file, but you still get an error message the first time
you run checkquota -vg to scan the partition for disk usage.

Comment 3 Scott R. Godin 2003-02-09 15:42:11 UTC
Additionally, at the top of the quotacheck(8) man page, there is this thoroughly
ambiguous sentence: 

    "It  is strongly recommended to run quotacheck with quotas turned off on for
the filesystem."

Well, which is it? off or on? :) 



Comment 4 Chris Ricker 2005-05-09 15:48:15 UTC
This more or less is all good now. quotacheck /foo creates /foo/aquota.user
automagically, and quotacheck -g /foo creates /foo/aquota.group. Comment #3
fixed as well